# Configuration file

~CONFIG_VERSION: 0.4.0

##########################################################################################################
# advanced
#--------------------------------------------------------------------------------------------------------#
# 用于更改 JEI 功能的高级配置。
##########################################################################################################

advanced {
    # 启用后，搜索框会被移动至底部居中的位置。 [default: false]
    B:centerSearchBarEnabled=false
    B:debugModeEnabled=false

    # 选择 JEI 会直接将物品移入物品栏或是用鼠标将其捡起。
    # [默认: mouse_pickup]
    # [有效: [inventory, mouse_pickup]]
    S:giveMode=MOUSE_PICKUP

    # 输入物品列表的最大宽度。 [range: 4 ~ 100, default: 100]
    I:maxColumns=100

    # 合成表查询界面允许的最大高度。 [range: 175 ~ 5000, default: 350]
    I:maxRecipeGuiHeight=350

    # 定义 JEI 界面的信息提示中的 Mod 名称样式。留空以禁用。 [默认: blue italic] [有效: [black, dark_blue, dark_green, dark_aqua, dark_red, dark_purple, gold, gray, dark_gray, blue, green, aqua, red, light_purple, yellow, white, obfuscated, bold, strikethrough, underline, italic]]
    S:modNameFormat=blue italic

    # Enable JEI memory usage optimizations. [default: true]
    B:optimizeMemoryUsage=true
}


##########################################################################################################
# search
#--------------------------------------------------------------------------------------------------------#
# 搜索框的相关选项。
##########################################################################################################

search {
    # 当按物品颜色搜索时，要求使用 "^" 作为前缀
    # [默认: disabled]
    # [有效: [enabled, require_prefix, disabled]]
    S:colorSearchMode=DISABLED

    # 当按创造标签页名搜索时，要求使用 "%" 作为前缀
    # [默认: disabled]
    # [有效: [enabled, require_prefix, disabled]]
    S:creativeTabSearchMode=DISABLED

    # 当按模组名称搜索时，要求使用 "@" 作为前缀
    # [默认: require_prefix]
    # [有效: [enabled, require_prefix, disabled]]
    S:modNameSearchMode=REQUIRE_PREFIX

    # 当按矿物词典搜索时，要求使用 "$" 作为前缀
    # [默认: disabled]
    # [有效: [enabled, require_prefix, disabled]]
    S:oreDictSearchMode=DISABLED

    # 当按资源 ID 搜索时，要求使用 "&" 作为前缀
    # [默认: disabled]
    # [有效: [enabled, require_prefix, disabled]]
    S:resourceIdSearchMode=DISABLED

    # 当按提示搜索时，要求使用 "#" 作为前缀
    # [默认: enabled]
    # [有效: [enabled, require_prefix, disabled]]
    S:tooltipSearchMode=ENABLED
}


searchadvancedtooltips {
    # config.jei.searchAdvancedTooltips.search.comment [default: false]
    B:search=false
}


